searchData={"items":[{"type":"module","title":"CodiceFiscale","doc":"Module containing the main functions regarding codice fiscale.","ref":"CodiceFiscale.html"},{"type":"function","title":"CodiceFiscale.calcola/5","doc":"ITA: Calcola il codice fiscale dato un nome, cognome, data di nascita, sesso e codice catastale del luogo di nascita.\n\nENG: Calculates the codice fiscale given a name, surname, birthdate, sex and catastale code of the birthplace.","ref":"CodiceFiscale.html#calcola/5"},{"type":"function","title":"Example - CodiceFiscale.calcola/5","doc":"iex> CodiceFiscale.calcola(\"Mario\", \"Rossi\", \"1980-01-01\", \"M\", \"H501\")\n    {:ok, \"RSSMRA80A01H501U\"}","ref":"CodiceFiscale.html#calcola/5-example"},{"type":"function","title":"CodiceFiscale.verifica/2","doc":"ITA: Verifica se un codice fiscale calcolato corrisponde ai dati anagrafici forniti.\n\nENG: Verifies if a codice fiscale calculated corresponds to the provided anagraphic data.","ref":"CodiceFiscale.html#verifica/2"},{"type":"function","title":"Esempio - CodiceFiscale.verifica/2","doc":"iex> CodiceFiscale.verifica(\"RSSMRA80A01H501U\", %{nome: \"Mario\", cognome: \"Rossi\", data_nascita: \"1980-01-01\", sesso: \"M\", codice: \"H501\"})\n    {:ok, \"Il codice fiscale corrisponde ai dati anagrafici.\"}","ref":"CodiceFiscale.html#verifica/2-esempio"},{"type":"module","title":"CodiceFiscale.CharCheck","doc":"Calculates the check character of codice fisale.","ref":"CodiceFiscale.CharCheck.html"},{"type":"function","title":"CodiceFiscale.CharCheck.calcola_carattere_controllo/1","doc":"Calcola il carattere di controllo per il codice fiscale.","ref":"CodiceFiscale.CharCheck.html#calcola_carattere_controllo/1"},{"type":"function","title":"Esempio - CodiceFiscale.CharCheck.calcola_carattere_controllo/1","doc":"iex> CodiceFiscale.CharCheck.calcola_carattere_controllo(\"CRRTMS02P26D969\")\n    \"D\"","ref":"CodiceFiscale.CharCheck.html#calcola_carattere_controllo/1-esempio"},{"type":"module","title":"CodiceFiscale.Conversion","doc":"Convert the parameters to the respective format useful for codice fiscale.","ref":"CodiceFiscale.Conversion.html"},{"type":"function","title":"CodiceFiscale.Conversion.cognome/1","doc":"","ref":"CodiceFiscale.Conversion.html#cognome/1"},{"type":"function","title":"CodiceFiscale.Conversion.data_nascita/2","doc":"","ref":"CodiceFiscale.Conversion.html#data_nascita/2"},{"type":"function","title":"CodiceFiscale.Conversion.nome/1","doc":"","ref":"CodiceFiscale.Conversion.html#nome/1"},{"type":"module","title":"CodiceFiscale.StringProcessor","doc":"Processes the string for calculating codice fiscale.","ref":"CodiceFiscale.StringProcessor.html"},{"type":"function","title":"CodiceFiscale.StringProcessor.process/1","doc":"","ref":"CodiceFiscale.StringProcessor.html#process/1"},{"type":"module","title":"CodiceFiscale.Validation","doc":"Validate the parameters useful for codice fiscale.","ref":"CodiceFiscale.Validation.html"},{"type":"function","title":"CodiceFiscale.Validation.validate_codice/1","doc":"","ref":"CodiceFiscale.Validation.html#validate_codice/1"},{"type":"function","title":"CodiceFiscale.Validation.validate_cognome/1","doc":"","ref":"CodiceFiscale.Validation.html#validate_cognome/1"},{"type":"function","title":"CodiceFiscale.Validation.validate_data_nascita/1","doc":"","ref":"CodiceFiscale.Validation.html#validate_data_nascita/1"},{"type":"function","title":"CodiceFiscale.Validation.validate_nome/1","doc":"","ref":"CodiceFiscale.Validation.html#validate_nome/1"},{"type":"function","title":"CodiceFiscale.Validation.validate_sesso/1","doc":"","ref":"CodiceFiscale.Validation.html#validate_sesso/1"},{"type":"task","title":"mix ci","doc":"Runs Tests, Format, Credo, and Dialyzer","ref":"Mix.Tasks.Ci.html"},{"type":"function","title":"Mix.Tasks.Ci.run/1","doc":"","ref":"Mix.Tasks.Ci.html#run/1"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,49]}}